summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2023-09-12 06:32:03 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2023-09-12 06:32:03 +0000
commitd45b89add06a889123b9f8562503f789a2dec421 (patch)
tree3097fb1b9120c3d7738e43ecf3bc371e73acbdfd /dev-python
parent0b1ec217b6162c4d27dc991317dcc8db260e7a7d (diff)
downloadbaldeagleos-repo-d45b89add06a889123b9f8562503f789a2dec421.tar.gz
baldeagleos-repo-d45b89add06a889123b9f8562503f789a2dec421.tar.xz
baldeagleos-repo-d45b89add06a889123b9f8562503f789a2dec421.zip
Adding metadata
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/Faker/Faker-19.6.1.ebuild40
-rw-r--r--dev-python/Faker/Manifest1
-rw-r--r--dev-python/Nuitka/Manifest1
-rw-r--r--dev-python/Nuitka/Nuitka-1.8.1.ebuild52
-rw-r--r--dev-python/boto3/Manifest1
-rw-r--r--dev-python/boto3/boto3-1.28.45.ebuild68
-rw-r--r--dev-python/botocore/Manifest1
-rw-r--r--dev-python/botocore/botocore-1.31.45.ebuild68
-rw-r--r--dev-python/cairocffi/cairocffi-1.6.1.ebuild2
-rw-r--r--dev-python/ensurepip-setuptools/Manifest1
-rw-r--r--dev-python/ensurepip-setuptools/ensurepip-setuptools-68.2.1.ebuild24
-rw-r--r--dev-python/matplotlib/Manifest1
-rw-r--r--dev-python/matplotlib/matplotlib-3.7.3.ebuild328
-rw-r--r--dev-python/mkdocs-material/mkdocs-material-9.2.6.ebuild2
-rw-r--r--dev-python/paginate/paginate-0.5.6.ebuild2
-rw-r--r--dev-python/psycopg/psycopg-3.1.10.ebuild2
-rw-r--r--dev-python/pyaudio/pyaudio-0.2.13-r1.ebuild2
-rw-r--r--dev-python/readtime/readtime-3.0.0.ebuild2
-rw-r--r--dev-python/setuptools/Manifest1
-rw-r--r--dev-python/setuptools/setuptools-68.2.1.ebuild125
-rw-r--r--dev-python/zeroconf/Manifest1
-rw-r--r--dev-python/zeroconf/zeroconf-0.108.0.ebuild56
22 files changed, 775 insertions, 6 deletions
diff --git a/dev-python/Faker/Faker-19.6.1.ebuild b/dev-python/Faker/Faker-19.6.1.ebuild
new file mode 100644
index 000000000000..ed676dd5163e
--- /dev/null
+++ b/dev-python/Faker/Faker-19.6.1.ebuild
@@ -0,0 +1,40 @@
+# Copyright 2022-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYPI_NO_NORMALIZE=1
+PYTHON_COMPAT=( python3_{8,9,10,11} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="A Python package that generates fake data for you"
+HOMEPAGE="
+ https://github.com/joke2k/faker/
+ https://pypi.org/project/Faker/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~s390 ~sparc ~x86"
+
+RDEPEND="
+ >=dev-python/python-dateutil-2.4.2[${PYTHON_USEDEP}]
+ !dev-ruby/faker
+"
+BDEPEND="
+ test? (
+ dev-python/freezegun[${PYTHON_USEDEP}]
+ dev-python/pillow[${PYTHON_USEDEP},tiff]
+ dev-python/validators[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+python_test() {
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ local -x PYTEST_PLUGINS=faker.contrib.pytest.plugin
+ epytest
+}
diff --git a/dev-python/Faker/Manifest b/dev-python/Faker/Manifest
index e091d222836b..8f6a898a0dc0 100644
--- a/dev-python/Faker/Manifest
+++ b/dev-python/Faker/Manifest
@@ -2,3 +2,4 @@ DIST Faker-19.3.0.tar.gz 1677117 BLAKE2B 855e3cc49e56d9c690add2b9bda9fc8c6e42a15
DIST Faker-19.3.1.tar.gz 1677746 BLAKE2B 1cf0c80daf23bbce824ebd81a3c31e6b12c353f4a75092dc482225ef27b1e55c9784a1bcde4305ffafb131471f4c5b886c8619c980e1d830530440c0c917e919 SHA512 4c9e073d46526830e4b561b61c8286c642668368b6a35ec269dd60cd56933b7e46bb699dceaab13330ade2e0928b27e8d5688fce555820c6a9abd34ecea2d37a
DIST Faker-19.4.0.tar.gz 1678303 BLAKE2B afb893836e9e85cbf130875274284107f621d443e80d4872c12467bad3c9cc4f6a8ea68aa829c95439e6a88f319323767d997ad9bca88870f0883392710cc858 SHA512 14e86b2f95d2e59aee71bae9017b8e6f4cde3752d9a64749c174bba2bbd3a060067adc269a22ba0083140b2f8376384bf67cce4b48af407d3b25e3cbebf682d2
DIST Faker-19.6.0.tar.gz 1679938 BLAKE2B af083363853fbb084f124971276986b459e93ec9e73470c227eab452bf688e480e37fb1f82f92bb21f40a7a52034f2ccf00e30f47d1b9c6b56da375a783c595d SHA512 130c51bdd50ef3a9a1026b0f1160ed0e1ceed86cb89646160d7cb2419a77fc21f969487e57c2ca080d7f7729c7a485f3bc12eb572efa6db308de54a15ffa493f
+DIST Faker-19.6.1.tar.gz 1668966 BLAKE2B 48e1d0c658e7cd482660b797e5ac8e107c84e7d2be9ab86e55cb5f0da662ed742565c1f5a3176d1f2588b8ffafcc37e7dbd072c78e5b1ab94bea8678ea9f1d48 SHA512 1511f03cb41f70a22784a8dc1cdb5b58fdc19fc6f67d4a414a9b15619d019ec6b6564b7fa50db03535aaa3650ae93e4c948c732ae65e61652d7469d9ad83db36
diff --git a/dev-python/Nuitka/Manifest b/dev-python/Nuitka/Manifest
index 8bc7e5283d2d..66ed72b1ab1e 100644
--- a/dev-python/Nuitka/Manifest
+++ b/dev-python/Nuitka/Manifest
@@ -1,3 +1,4 @@
DIST Nuitka-1.7.10.tar.gz 4289025 BLAKE2B 594820258860efba8be2316ab8d081e0d5ba4dc8db94959716ca90d57aff4d1407df19f52c88dc78aced4153a1b30dd35c6ab543435cecbff38bf791e2f7e492 SHA512 773c23d0e355fea975fa0636fba0601347618631564eb36fb948e8150b8720e28c227b4f3a50cbe8102160addb982257ab2acaa58d79692cdac60cecea85fa98
DIST Nuitka-1.7.9.tar.gz 4288768 BLAKE2B 6069598c4eb9bb134a0d5bcfc4f3b423c0cb4f0f600ed13b20080470cde53e0077394eb5660d1abe766ccfa52a0bd3f9203dabd5dae160de20b1b58670ea4bb6 SHA512 a2d2ad1be1fefc97c86af64fa1133bb6ca478021c1cc606be663a1d12bdab3a218c1760b697e426cafb67411a435d5353bf1688b986240036539946fb6ed12f3
+DIST Nuitka-1.8.1.tar.gz 3603553 BLAKE2B eb470569302864ce79a595d15f10ec12786b9a36bcbd5b77eedceacecf9a637bb494292dd0dd8a6177292b6e461da6de446e88812150b4840ceb0640eb27faf0 SHA512 3a5a3d9b616f2b594638541bcbcdcef07440e907ed86f8688700a051096dcfa4df8d19dd1dbc58eddbf10249945ed2281f47c84c6bdc35398f029f645cf52e35
DIST Nuitka-1.8.tar.gz 3602951 BLAKE2B 5ae75060b42c494c57fa92e53a8e11c25f0ed243711ad76fab140828c1b835b946201c4d7d19ac24d029d66ddead91f7943527cde5ec823f03735c0fe3a2002e SHA512 1b35405162f64b7ed99f88f223633a8dd643642de052a3ae3a4da25fd310796022394375b13d9f5cc464108791a157618e3c1aa895b0fa3235603a9f2b9b26ec
diff --git a/dev-python/Nuitka/Nuitka-1.8.1.ebuild b/dev-python/Nuitka/Nuitka-1.8.1.ebuild
new file mode 100644
index 000000000000..9c34f33c893b
--- /dev/null
+++ b/dev-python/Nuitka/Nuitka-1.8.1.ebuild
@@ -0,0 +1,52 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYPI_NO_NORMALIZE=1
+PYTHON_COMPAT=( python3_{8,9,10,11} )
+
+inherit distutils-r1 flag-o-matic optfeature pypi
+
+DESCRIPTION="Python to native compiler"
+HOMEPAGE="
+ https://www.nuitka.net/
+ https://github.com/Nuitka/Nuitka/
+ https://pypi.org/project/Nuitka/
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~loong ~x86"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+ dev-util/scons[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ ${RDEPEND}
+ test? ( dev-util/ccache )
+"
+
+distutils-r1_src_prepare() {
+ # remove vendored version of SCons that is Python2 only
+ # this should be removed when upstream removes support for Python2
+ rm -vR "nuitka/build/inline_copy/lib/scons-2.3.2/SCons" || die
+ eapply_user
+}
+
+python_install() {
+ distutils-r1_python_install
+ doman doc/nuitka3.1 doc/nuitka3-run.1
+}
+
+python_test() {
+ append-ldflags -Wl,--no-warn-search-mismatch
+ ./tests/basics/run_all.py search || die
+}
+
+pkg_postinst() {
+ optfeature "support for stand-alone executables" app-admin/chrpath
+}
diff --git a/dev-python/boto3/Manifest b/dev-python/boto3/Manifest
index 34a71341e335..0e1b00a2ae6a 100644
--- a/dev-python/boto3/Manifest
+++ b/dev-python/boto3/Manifest
@@ -7,3 +7,4 @@ DIST boto3-1.28.41.gh.tar.gz 697348 BLAKE2B 83ec56d2e2a4f9ebad061f1b7650425a074d
DIST boto3-1.28.42.gh.tar.gz 697860 BLAKE2B c5a4550a222a7ec7d2f09af1e06bfdbcac9251d5bb0dea089ce6a87fae2f62852cde76c0931755a2a343c4e8d38953a87e6ba32d377edfd7519b3ab9d0346962 SHA512 e63eb26f7498794578ebe9bd599b8c50b6c765cc87903dcee729d8a169d5768d5bffe56535afdde139db0db887882b306fdc45e54cbef322e4607cf6318fa1d5
DIST boto3-1.28.43.gh.tar.gz 698144 BLAKE2B ff0565b2fa023cb00adc6eab8b151fc2cca2f75cfec35845cb317a6e7aceede5c9b4c69f0e7e62daaefb1d7797d7a396154bfecb37c0d1c8baac81a5d8a7e352 SHA512 bdcb483f080c7fb3019c32347834e6096a1fb5f8ccad3cd9a50dc4fd1fcc66cc0810ad70d7a831a22e2e3a416f01415bbf80cf1d48b0c2c11714089e184d6c09
DIST boto3-1.28.44.gh.tar.gz 698689 BLAKE2B 9c23bd7aa680f59ad686ad5ec46dd751d22b5d9769597b34c3210d2da732c0751a168f6f90488909e76820bb99c222861f68dc0e9998604094a02a30da213ddc SHA512 2c027372afbcbcdc60a77933a92b5e48757f2b19deb7b5fbaf8ff7eb7dfe24af1919ac4b8c5e619233ffe88f22e51d927ff648e43a9ccf76863959bbe07b5f31
+DIST boto3-1.28.45.gh.tar.gz 699111 BLAKE2B 6873e83e58d4a778b5296c7def5ed5060f5d1d18c1b123e1662be8688a683aac8fe8f10821a59ac0cfb6192e925c15fe8aafc46b6bd1ddc261142024427d9b7a SHA512 8d8f6b9735995ee3ff5f47ddd79d19ec490da116454f7adbf65a22dd592b82727e7528236d4bca577ebe7857a2f9e14ac34357988fb958696b81e54162d8b081
diff --git a/dev-python/boto3/boto3-1.28.45.ebuild b/dev-python/boto3/boto3-1.28.45.ebuild
new file mode 100644
index 000000000000..e654679ffe12
--- /dev/null
+++ b/dev-python/boto3/boto3-1.28.45.ebuild
@@ -0,0 +1,68 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8,9,10,11} )
+
+inherit distutils-r1 multiprocessing
+
+DESCRIPTION="The AWS SDK for Python"
+HOMEPAGE="
+ https://github.com/boto/boto3/
+ https://pypi.org/project/boto3/
+"
+LICENSE="Apache-2.0"
+SLOT="0"
+
+if [[ "${PV}" == "9999" ]]; then
+ EGIT_REPO_URI="https://github.com/boto/boto3"
+ inherit git-r3
+ BOTOCORE_PV=${PV}
+else
+ SRC_URI="
+ https://github.com/boto/boto3/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+ "
+ KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux"
+
+ # botocore is x.(y+3).z
+ BOTOCORE_PV="$(ver_cut 1).$(( $(ver_cut 2) + 3)).$(ver_cut 3-)"
+fi
+
+RDEPEND="
+ >=dev-python/botocore-${BOTOCORE_PV}[${PYTHON_USEDEP}]
+ >=dev-python/jmespath-0.7.1[${PYTHON_USEDEP}]
+ >=dev-python/s3transfer-0.6.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/mock[${PYTHON_USEDEP}]
+ dev-python/pytest-xdist[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ # don't lock versions to narrow ranges
+ sed -e '/botocore/ d' \
+ -e '/jmespath/ d' \
+ -e '/s3transfer/ d' \
+ -i setup.py || die
+
+ # do not rely on bundled deps in botocore (sic!)
+ find -name '*.py' -exec sed -i \
+ -e 's:from botocore[.]vendored import:import:' \
+ -e 's:from botocore[.]vendored[.]:from :' \
+ {} + || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ epytest tests/{functional,unit} \
+ -p xdist -n "$(makeopts_jobs)" --dist=worksteal
+}
diff --git a/dev-python/botocore/Manifest b/dev-python/botocore/Manifest
index d49c3778502d..6c3bd2a3005c 100644
--- a/dev-python/botocore/Manifest
+++ b/dev-python/botocore/Manifest
@@ -7,3 +7,4 @@ DIST botocore-1.31.41.gh.tar.gz 11935773 BLAKE2B 6bf4c1f7c3b3d9115c53f5cc8336880
DIST botocore-1.31.42.gh.tar.gz 11936544 BLAKE2B a1da9ec08885f84c458f621420560429fa4705bef5790c2ca7c39758c7caa407fb9ec415414c8c5e604f06cc52dc085f0061e4f926dad87c8cb25631ec9d64de SHA512 767903bce078f61780beeff0c1fa47f753c8eb4a0beacc78934a7d16dac27944f3ef20c4f9533b296bbb1edaefb1c5e244ccc3fb908d57273b733a062892d25f
DIST botocore-1.31.43.gh.tar.gz 11936649 BLAKE2B ad663783c71255afac612f96f06b2a64f73bd41f32c02386d613d2c6b9f492943c7194f4e58aa62ece2df748d3812728ebdb0636acb3beb53278448829bad50c SHA512 71a718000c46102bcac50f34b1a477c5f788a2feea74629e4db8ad0b482711dbe8f5799424a304ff04d3bbff4acc68407a960008a1c9fe376972ca05b0c01ac0
DIST botocore-1.31.44.gh.tar.gz 11937780 BLAKE2B 38660a6025cef328a4df7e3f0170a79d86f3febd68056993a0aeb8b30a2729abaa914cd6def8c38c3b61a905eb4736cb6232daa4f2e6d7e7140a3a1e23193206 SHA512 29fa176a6b753fc9005f79a19eed4f1a065e1e34d71cc462647c2260b45cc3c10ee720b06a5c8d4471f6d4e6a7b24ee2ae2d70d7973792c64985edb1e0578d99
+DIST botocore-1.31.45.gh.tar.gz 11938951 BLAKE2B 842d76cfea05de7515d6dfe8c977c8981924e400ebf518d5ed139c2c12b517b7136811a50e4bf768fb45d2d18e782e82d9482566d9e90a06cf0e76485fa931a3 SHA512 8ad8de83dbe5aa1b90da0627b25022e80df9b4d759050c5baf72b1cc8f29a8df260017e943c7f4b9b9b5b4b112c4acb15a8998531a48777de926dee54af82424
diff --git a/dev-python/botocore/botocore-1.31.45.ebuild b/dev-python/botocore/botocore-1.31.45.ebuild
new file mode 100644
index 000000000000..10b7950a4ee2
--- /dev/null
+++ b/dev-python/botocore/botocore-1.31.45.ebuild
@@ -0,0 +1,68 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8,9,10,11} )
+
+inherit distutils-r1 multiprocessing
+
+DESCRIPTION="Low-level, data-driven core of boto 3"
+HOMEPAGE="
+ https://github.com/boto/botocore/
+ https://pypi.org/project/botocore/
+"
+LICENSE="Apache-2.0"
+SLOT="0"
+
+if [[ "${PV}" == "9999" ]]; then
+ EGIT_REPO_URI="https://github.com/boto/botocore"
+ inherit git-r3
+else
+ SRC_URI="
+ https://github.com/boto/botocore/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+ "
+ KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux"
+fi
+
+RDEPEND="
+ dev-python/six[${PYTHON_USEDEP}]
+ <dev-python/jmespath-2[${PYTHON_USEDEP}]
+ dev-python/python-dateutil[${PYTHON_USEDEP}]
+ >=dev-python/urllib3-1.25.4[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/jsonschema[${PYTHON_USEDEP}]
+ dev-python/pytest-xdist[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+ # unpin deps
+ sed -i -e "s:>=.*':':" setup.py || die
+
+ # unbundle deps
+ rm -r botocore/vendored || die
+ find -name '*.py' -exec sed -i \
+ -e 's:from botocore[.]vendored import:import:' \
+ -e 's:from botocore[.]vendored[.]:from :' \
+ {} + || die
+
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # rely on bundled six
+ tests/functional/test_six_imports.py::test_no_bare_six_imports
+ tests/functional/test_six_threading.py::test_six_thread_safety
+ )
+
+ local -x EPYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ epytest tests/{functional,unit} -p xdist -n "$(makeopts_jobs)"
+}
diff --git a/dev-python/cairocffi/cairocffi-1.6.1.ebuild b/dev-python/cairocffi/cairocffi-1.6.1.ebuild
index 50fc5e44a78d..08c47b048b5b 100644
--- a/dev-python/cairocffi/cairocffi-1.6.1.ebuild
+++ b/dev-python/cairocffi/cairocffi-1.6.1.ebuild
@@ -16,7 +16,7 @@ HOMEPAGE="
LICENSE="BSD"
SLOT="0"
-KEYWORDS="~alpha ~amd64 arm arm64 ~hppa ~ia64 ~loong ~ppc ~ppc64 ~riscv ~s390 sparc x86"
+KEYWORDS="~alpha amd64 arm arm64 ~hppa ~ia64 ~loong ~ppc ppc64 ~riscv ~s390 sparc x86"
DEPEND="
>=dev-python/xcffib-0.3.2[${PYTHON_USEDEP}]
diff --git a/dev-python/ensurepip-setuptools/Manifest b/dev-python/ensurepip-setuptools/Manifest
index 03e9eebd9d11..e0c862d3f1d2 100644
--- a/dev-python/ensurepip-setuptools/Manifest
+++ b/dev-python/ensurepip-setuptools/Manifest
@@ -2,3 +2,4 @@ DIST setuptools-67.8.0-py3-none-any.whl 1093916 BLAKE2B d02bd5ccfe27c116497f8ae4
DIST setuptools-68.0.0-py3-none-any.whl 804037 BLAKE2B 743ab93b17f2e53e612c518d2d2fee73259dc4eef3de5ccb6587c84a91056072106d72def7189d2173c8bb53457da5b0010badaaca6a28c01aaff124dcb3bd10 SHA512 352b87cba8c4c9e1e0f14fb85a9f7c5bb3f874f09a8107c84df8051bba9d38b8da420babc66458bf2f51ef11b7089d1ecbbec4077a5982d73e1e63316a99c79e
DIST setuptools-68.1.0-py3-none-any.whl 805159 BLAKE2B 0fcf1492ce9a9d23700b2c6ebfc487f4e6be6fdd7b3a9601bb7966e06ad9f790fc5d5f96f859e28da47e1afb03e1ca73fe73d7cff53f5173b65986c05f6de011 SHA512 6d66b29a9f7a17dbb077f4f6c2626d27a17b40f9688afd22ca05371c9fb01159cd8f2e20d2d2584958343322a8a081bbf98d204fcf929ce112c71b0523525c62
DIST setuptools-68.1.2-py3-none-any.whl 805130 BLAKE2B 215d46c49094a6f5b5748354f598082e3740840901b8c8af627308ec4879bd0f23e370c9b1ce5c8c00c5299d4e2fd21800d20b56b93d78da2ab26246e30c0b03 SHA512 acce5ba5d446479988ac2f16ab38cdb8750bd6b1cdaab259f05f840ac86071c8b5f036913f83764c30a172df2111c50192852c17a69abc8980bc87c3a5ba3358
+DIST setuptools-68.2.1-py3-none-any.whl 807862 BLAKE2B 0ab8273ff15c1e3ac17a6a250e7ec79c432d1ac95e460c5d0121c8f370d618fafaf7adb5669fc6387584ef75081f6d0ed6ecff4b1b9fdfbd5fe0fe8fff3adde7 SHA512 0de9c413aa7c63a81406e26ea85e25cf8dc5ad8cebd1b9dcada1e7a3af7a41b158af49c245bf7290853ac6b1493211fbc2b4804121edb285b94ed59f62bd6fac
diff --git a/dev-python/ensurepip-setuptools/ensurepip-setuptools-68.2.1.ebuild b/dev-python/ensurepip-setuptools/ensurepip-setuptools-68.2.1.ebuild
new file mode 100644
index 000000000000..8346a1bd0f6d
--- /dev/null
+++ b/dev-python/ensurepip-setuptools/ensurepip-setuptools-68.2.1.ebuild
@@ -0,0 +1,24 @@
+# Copyright 2022-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit pypi
+
+DESCRIPTION="Shared setuptools wheel for ensurepip Python module"
+HOMEPAGE="https://pypi.org/project/setuptools/"
+SRC_URI="$(pypi_wheel_url "${PN#ensurepip-}")"
+S=${DISTDIR}
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~arm64-macos ~ppc-macos ~x64-macos ~x64-solaris"
+
+RDEPEND="
+ !<dev-python/ensurepip-wheels-100
+"
+
+src_install() {
+ insinto /usr/lib/python/ensurepip
+ doins "${A}"
+}
diff --git a/dev-python/matplotlib/Manifest b/dev-python/matplotlib/Manifest
index ef0405210111..7ceadb4a30ec 100644
--- a/dev-python/matplotlib/Manifest
+++ b/dev-python/matplotlib/Manifest
@@ -1,3 +1,4 @@
DIST freetype-2.6.1.tar.gz 2302080 BLAKE2B 6a5fb98e5fa6cf4b7d7533ad44e364227d8c2f7dded4c552d6e22e204c32b7858f20d41d1e809ecdad6e5353d6cec81bea0e0b06a4533363a41ecab83ce3f7ca SHA512 ff2daed64d712737085924c50e75862fafbcbb24eef6d72dac9eaae63bb656d7245397fd828f5d3e47ac847f7ff83d73dedfdd61fde1f7d6e0f0cdeb49bcf83b
DIST matplotlib-3.7.1.tar.gz 38003777 BLAKE2B a387d23b58e09011cd3ae1f8c0ebf5dd8c04c8c15c1f6453c92cd22b2439fcabcf384f39ae8d2d2c6b7d2645817cd57a60856a4c05728e8f8aff9dd163af5083 SHA512 d7db4213d5b38eba779ba06ffaa8e67a435192e4a8cf62f8e1cd4b8079cd257b2e83cb79926df012b7084c785c0ce8b03275035f68cfcf0a36b0dda7322f2e67
DIST matplotlib-3.7.2.tar.gz 38095843 BLAKE2B e26e78ce3a27604ff3d0f4d280798715b21a89104908e4fa66f96e32152d61f4f640e02e1eb2327563c71f3391c03716b5f6a1e769a07725d02c042b21973a4a SHA512 3ddb223c869c01cf71ab65a628a3c996eed1ff8b2375c02e3158a5750652a5d8277a55706e50890c15c14c7a104db01f01b01ca8964f85b6ffec104fc273872d
+DIST matplotlib-3.7.3.tar.gz 38097222 BLAKE2B e0207c8f8bda2db3f9e45d2f606f01374c8d829d747f29d6a5e46cbfc215960b1bf3f5ee471c2c73f4200ebb0a7c9e8b783cb8569ecbb26a3fbc0d802592db0e SHA512 034b81ef4811089e845855eb339155b18b1221ffd325ea73c83e83bb433374dfa4e650e29bbae5ad63a84090eb4b013d0f106ff37c30fd661b4d071004745caa
diff --git a/dev-python/matplotlib/matplotlib-3.7.3.ebuild b/dev-python/matplotlib/matplotlib-3.7.3.ebuild
new file mode 100644
index 000000000000..76c3ec9d8b02
--- /dev/null
+++ b/dev-python/matplotlib/matplotlib-3.7.3.ebuild
@@ -0,0 +1,328 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8,9,10,11} )
+PYTHON_REQ_USE='tk?,threads(+)'
+
+inherit distutils-r1 flag-o-matic multiprocessing prefix pypi
+inherit toolchain-funcs virtualx
+
+FT_PV=2.6.1
+DESCRIPTION="Pure python plotting library with matlab like syntax"
+HOMEPAGE="
+ https://matplotlib.org/
+ https://github.com/matplotlib/matplotlib/
+ https://pypi.org/project/matplotlib/
+"
+SRC_URI+="
+ test? (
+ https://downloads.sourceforge.net/project/freetype/freetype2/${FT_PV}/freetype-${FT_PV}.tar.gz
+ )
+"
+
+# Main license: matplotlib
+# Some modules: BSD
+# matplotlib/backends/qt4_editor: MIT
+# Fonts: BitstreamVera, OFL-1.1
+LICENSE="BitstreamVera BSD matplotlib MIT OFL-1.1"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~arm64-macos ~x64-macos"
+IUSE="cairo doc excel examples gtk3 latex qt5 tk webagg wxwidgets"
+
+# internal copy of pycxx highly patched
+# dev-python/pycxx
+RDEPEND="
+ dev-python/certifi[${PYTHON_USEDEP}]
+ >=dev-python/contourpy-1.0.1[${PYTHON_USEDEP}]
+ >=dev-python/cycler-0.10.0-r1[${PYTHON_USEDEP}]
+ >=dev-python/fonttools-4.22.0[${PYTHON_USEDEP}]
+ >=dev-python/kiwisolver-1.2.0[${PYTHON_USEDEP}]
+ <dev-python/numpy-2[${PYTHON_USEDEP}]
+ >=dev-python/numpy-1.20[${PYTHON_USEDEP}]
+ >=dev-python/packaging-20.0[${PYTHON_USEDEP}]
+ >=dev-python/pillow-7.1.1[jpeg,webp,${PYTHON_USEDEP}]
+ >=dev-python/pyparsing-2.3.1[${PYTHON_USEDEP}]
+ >=dev-python/python-dateutil-2.7[${PYTHON_USEDEP}]
+ >=dev-python/pytz-2019.3[${PYTHON_USEDEP}]
+ media-fonts/dejavu
+ media-fonts/stix-fonts
+ media-libs/freetype:2
+ media-libs/libpng:0
+ >=media-libs/qhull-2013:=
+ virtual/imagemagick-tools[jpeg,tiff]
+ cairo? (
+ dev-python/cairocffi[${PYTHON_USEDEP}]
+ )
+ excel? (
+ dev-python/xlwt[${PYTHON_USEDEP}]
+ )
+ gtk3? (
+ >=dev-python/pygobject-3.40.1-r1:3[cairo?,${PYTHON_USEDEP}]
+ x11-libs/gtk+:3[introspection]
+ )
+ latex? (
+ virtual/latex-base
+ app-text/dvipng
+ app-text/ghostscript-gpl
+ app-text/poppler[utils]
+ dev-texlive/texlive-fontsrecommended
+ dev-texlive/texlive-latexextra
+ dev-texlive/texlive-luatex
+ dev-texlive/texlive-xetex
+ )
+ qt5? (
+ dev-python/PyQt5[gui,widgets,${PYTHON_USEDEP}]
+ )
+ webagg? (
+ >=dev-python/tornado-6.0.4[${PYTHON_USEDEP}]
+ )
+ wxwidgets? (
+ $(python_gen_cond_dep '
+ dev-python/wxpython:*[${PYTHON_USEDEP}]
+ ' python3_{8..10})
+ )
+"
+
+BDEPEND="
+ ${RDEPEND}
+ dev-python/pybind11[${PYTHON_USEDEP}]
+ >=dev-python/setuptools-scm-7[${PYTHON_USEDEP}]
+ virtual/pkgconfig
+ doc? (
+ >=app-text/dvipng-1.15-r1
+ >=dev-python/colorspacious-1.1.2[${PYTHON_USEDEP}]
+ >=dev-python/ipython-1.18.2[${PYTHON_USEDEP}]
+ >=dev-python/numpydoc-0.9.2[${PYTHON_USEDEP}]
+ >=dev-python/scipy-1.4.1[${PYTHON_USEDEP}]
+ >=dev-python/sphinx-1.3.1[${PYTHON_USEDEP}]
+ >=dev-python/sphinx-gallery-0.3.1-r1[${PYTHON_USEDEP}]
+ >=dev-python/xlwt-1.3.0-r1[${PYTHON_USEDEP}]
+ virtual/latex-base
+ dev-texlive/texlive-latexextra
+ dev-texlive/texlive-fontsrecommended
+ dev-texlive/texlive-latexrecommended
+ dev-texlive/texlive-luatex
+ dev-texlive/texlive-xetex
+ >=media-gfx/graphviz-2.42.3[cairo]
+ )
+ test? (
+ dev-python/mock[${PYTHON_USEDEP}]
+ dev-python/psutil[${PYTHON_USEDEP}]
+ dev-python/pytest-xdist[${PYTHON_USEDEP}]
+ >=dev-python/tornado-6.0.4[${PYTHON_USEDEP}]
+ gtk3? (
+ >=dev-python/pygobject-3.40.1-r1:3[cairo?,${PYTHON_USEDEP}]
+ x11-libs/gtk+:3[introspection]
+ )
+ )
+"
+
+distutils_enable_tests pytest
+
+use_setup() {
+ local uword="${2:-${1}}"
+ if use "${1}"; then
+ echo "${uword} = True"
+ echo "${uword}agg = True"
+ else
+ echo "${uword} = False"
+ echo "${uword}agg = False"
+ fi
+}
+
+python_prepare_all() {
+# Generates test failures, but fedora does it
+# local PATCHES=(
+# "${FILESDIR}"/${P}-unbundle-pycxx.patch
+# "${FILESDIR}"/${P}-unbundle-agg.patch
+# )
+# rm -r agg24 CXX || die
+# rm -r agg24 || die
+
+ # Affects installed _version.py, bug #854600
+ export SETUPTOOLS_SCM_PRETEND_VERSION=${PV}
+
+ local PATCHES=(
+ "${FILESDIR}"/matplotlib-3.3.3-disable-lto.patch
+ "${FILESDIR}"/matplotlib-3.7.1-test.patch
+ "${FILESDIR}"/matplotlib-3.7.2-macOS_no-Cocoa.patch
+ )
+
+ hprefixify setupext.py
+
+ rm -rf libqhull || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_configure_all() {
+ append-flags -fno-strict-aliasing
+ append-cppflags -DNDEBUG # or get old trying to do triangulation
+ tc-export PKG_CONFIG
+
+ unset DISPLAY # bug #278524
+ export XDG_RUNTIME_DIR="${T}/runtime-dir"
+ mkdir "${XDG_RUNTIME_DIR}" || die
+ chmod 0700 "${XDG_RUNTIME_DIR}" || die
+}
+
+python_configure() {
+ mkdir -p "${BUILD_DIR}" || die
+
+ # create setup.cfg (see setup.cfg.template for any changes).
+
+ # common switches.
+ cat > "${BUILD_DIR}"/setup.cfg <<- EOF || die
+ [directories]
+ basedirlist = ${EPREFIX}/usr
+ [provide_packages]
+ pytz = False
+ dateutil = False
+ [libs]
+ system_freetype = True
+ system_qhull = True
+ [packages]
+ tests = True
+ [gui_support]
+ agg = True
+ gtk = False
+ gtkagg = False
+ macosx = False
+ pyside = False
+ pysideagg = False
+ qt4 = False
+ qt4agg = False
+ $(use_setup cairo)
+ $(use_setup gtk3)
+ $(use_setup qt5)
+ $(use_setup tk)
+ $(use_setup wxwidgets wx)
+ EOF
+
+ if use gtk3 && use cairo; then
+ echo "gtk3cairo = True" >> "${BUILD_DIR}"/setup.cfg || die
+ else
+ echo "gtk3cairo = False" >> "${BUILD_DIR}"/setup.cfg || die
+ fi
+}
+
+wrap_setup() {
+ local MAKEOPTS=-j1
+ local -x MPLSETUPCFG="${BUILD_DIR}"/setup.cfg
+ "$@"
+}
+
+python_compile() {
+ wrap_setup distutils-r1_python_compile
+ find "${BUILD_DIR}" -name '*.pth' -delete || die
+}
+
+python_compile_all() {
+ if use doc; then
+ cd doc || die
+
+ VARTEXFONTS="${T}"/fonts \
+ emake SPHINXOPTS= O=-Dplot_formats=png:100 html
+ fi
+}
+
+src_test() {
+ mkdir build || die
+ ln -s "${WORKDIR}/freetype-${FT_PV}" build/ || die
+ virtx distutils-r1_src_test
+}
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # broken by -Wdefault
+ "tests/test_rcparams.py::test_validator_invalid[validate_strlist-arg6-MatplotlibDeprecationWarning]"
+ "tests/test_rcparams.py::test_validator_invalid[validate_strlist-arg7-MatplotlibDeprecationWarning]"
+ tests/test_testing.py::test_warn_to_fail
+ # TODO?
+ tests/test_backend_qt.py::test_fig_sigint_override
+ # unhappy about xdist
+ tests/test_widgets.py::test_span_selector_animated_artists_callback
+ )
+
+ [[ ${EPYTHON} == python3.11 ]] && EPYTEST_DESELECT+=(
+ # https://github.com/matplotlib/matplotlib/issues/23384
+ "tests/test_backends_interactive.py::test_figure_leak_20490[time_mem1-{'MPLBACKEND': 'qtagg', 'QT_API': 'PyQt5'}]"
+ "tests/test_backends_interactive.py::test_figure_leak_20490[time_mem1-{'MPLBACKEND': 'qtcairo', 'QT_API': 'PyQt5'}]"
+ )
+
+ case "${ABI}" in
+ alpha|arm|hppa|m68k|o32|ppc|s390|sh|sparc|x86)
+ EPYTEST_DESELECT+=(
+ # too large for 32-bit platforms
+ 'tests/test_axes.py::test_psd_csd[png]'
+ )
+ ;;
+ *)
+ ;;
+ esac
+
+ if use hppa ; then
+ EPYTEST_DESELECT+=(
+ 'tests/test_mathtext.py::test_mathtext_exceptions[hspace without value]'
+ 'tests/test_mathtext.py::test_mathtext_exceptions[hspace with invalid value]'
+ 'tests/test_mathtext.py::test_mathtext_exceptions[function without space]'
+ 'tests/test_mathtext.py::test_mathtext_exceptions[accent without space]'
+ 'tests/test_mathtext.py::test_mathtext_exceptions[frac without parameters]'
+ 'tests/test_mathtext.py::test_mathtext_exceptions[frac with empty parameters]'
+ 'tests/test_mathtext.py::test_mathtext_exceptions[binom without parameters]'
+ 'tests/test_mathtext.py::test_mathtext_exceptions[binom with empty parameters]'
+ 'tests/test_mathtext.py::test_mathtext_exceptions[genfrac without parameters]'
+ 'tests/test_mathtext.py::test_mathtext_exceptions[genfrac with empty parameters]'
+ 'tests/test_mathtext.py::test_mathtext_exceptions[sqrt without parameters]'
+ 'tests/test_mathtext.py::test_mathtext_exceptions[sqrt with invalid value]'
+ 'tests/test_mathtext.py::test_mathtext_exceptions[overline without parameters]'
+ 'tests/test_mathtext.py::test_mathtext_exceptions[overline with empty parameter]'
+ 'tests/test_mathtext.py::test_mathtext_exceptions[left with invalid delimiter]'
+ 'tests/test_mathtext.py::test_mathtext_exceptions[right with invalid delimiter]'
+ 'tests/test_mathtext.py::test_mathtext_exceptions[unclosed parentheses with sizing]'
+ 'tests/test_mathtext.py::test_mathtext_exceptions[unclosed parentheses without sizing]'
+ 'tests/test_mathtext.py::test_mathtext_exceptions[dfrac without parameters]'
+ 'tests/test_mathtext.py::test_mathtext_exceptions[dfrac with empty parameters]'
+ 'tests/test_mathtext.py::test_mathtext_exceptions[overset without parameters]'
+ 'tests/test_mathtext.py::test_mathtext_exceptions[underset without parameters]'
+ 'tests/test_mathtext.py::test_mathtext_exceptions[unknown symbol]'
+ 'tests/test_mathtext.py::test_mathtext_exceptions[double superscript]'
+ 'tests/test_mathtext.py::test_mathtext_exceptions[double subscript]'
+ 'tests/test_mathtext.py::test_mathtext_exceptions[super on sub without braces]'
+ 'tests/test_quiver.py::test_barbs[png]'
+ 'tests/test_quiver.py::test_barbs_pivot[png]'
+ 'tests/test_quiver.py::test_barbs_flip[png]'
+ 'tests/test_text.py::test_parse_math'
+ 'tests/test_text.py::test_parse_math_rcparams'
+ )
+ fi
+
+ # we need to rebuild mpl against bundled freetype, otherwise
+ # over 1000 tests will fail because of mismatched font rendering
+ grep -v system_freetype "${BUILD_DIR}"/setup.cfg \
+ > "${BUILD_DIR}"/test-setup.cfg || die
+ local -x MPLSETUPCFG="${BUILD_DIR}"/test-setup.cfg
+
+ esetup.py build -j1 --build-lib="${BUILD_DIR}"/test-lib
+ local -x PYTHONPATH=${BUILD_DIR}/test-lib:${PYTHONPATH}
+
+ # speed tests up
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ nonfatal epytest --pyargs matplotlib -m "not network" \
+ -p xdist.plugin -n "$(makeopts_jobs)" || die
+}
+
+python_install_all() {
+ use doc && local HTML_DOCS=( doc/build/html/. )
+
+ distutils-r1_python_install_all
+
+ if use examples; then
+ dodoc -r examples
+ docompress -x /usr/share/doc/${PF}/examples
+ fi
+}
diff --git a/dev-python/mkdocs-material/mkdocs-material-9.2.6.ebuild b/dev-python/mkdocs-material/mkdocs-material-9.2.6.ebuild
index e96b65f223e3..d21d258b9bdd 100644
--- a/dev-python/mkdocs-material/mkdocs-material-9.2.6.ebuild
+++ b/dev-python/mkdocs-material/mkdocs-material-9.2.6.ebuild
@@ -27,7 +27,7 @@ SRC_URI="
LICENSE="MIT"
SLOT="0"
-KEYWORDS="amd64 ~arm ~arm64 ~ppc ~riscv ~x86"
+KEYWORDS="amd64 ~arm ~arm64 ~ppc ~riscv x86"
IUSE="social"
RDEPEND="
diff --git a/dev-python/paginate/paginate-0.5.6.ebuild b/dev-python/paginate/paginate-0.5.6.ebuild
index f28be90715ee..cc517946f69e 100644
--- a/dev-python/paginate/paginate-0.5.6.ebuild
+++ b/dev-python/paginate/paginate-0.5.6.ebuild
@@ -20,6 +20,6 @@ SRC_URI="
LICENSE="MIT"
SLOT="0"
-KEYWORDS="amd64 ~arm ~arm64 ~ppc ~riscv ~x86"
+KEYWORDS="amd64 ~arm ~arm64 ~ppc ~riscv x86"
distutils_enable_tests pytest
diff --git a/dev-python/psycopg/psycopg-3.1.10.ebuild b/dev-python/psycopg/psycopg-3.1.10.ebuild
index d6d3b38ff4bf..049aebd1137a 100644
--- a/dev-python/psycopg/psycopg-3.1.10.ebuild
+++ b/dev-python/psycopg/psycopg-3.1.10.ebuild
@@ -22,7 +22,7 @@ S=${WORKDIR}/${P}/psycopg
LICENSE="LGPL-3+"
SLOT="0"
-KEYWORDS="~alpha amd64 arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos"
+KEYWORDS="~alpha amd64 arm ~arm64 ~hppa ~ia64 ~ppc ppc64 ~riscv ~s390 ~sparc x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos"
DEPEND="
>=dev-db/postgresql-8.1:*
diff --git a/dev-python/pyaudio/pyaudio-0.2.13-r1.ebuild b/dev-python/pyaudio/pyaudio-0.2.13-r1.ebuild
index 449ac1f82a37..61bae15a93c6 100644
--- a/dev-python/pyaudio/pyaudio-0.2.13-r1.ebuild
+++ b/dev-python/pyaudio/pyaudio-0.2.13-r1.ebuild
@@ -15,7 +15,7 @@ HOMEPAGE="https://people.csail.mit.edu/hubert/pyaudio/"
LICENSE="MIT"
SLOT="0"
-KEYWORDS="amd64 ~x86"
+KEYWORDS="amd64 x86"
# Tests work if you have the correct HW device(s) to test. 0.2.11-r1.
RESTRICT="test"
diff --git a/dev-python/readtime/readtime-3.0.0.ebuild b/dev-python/readtime/readtime-3.0.0.ebuild
index b6c52c292394..59f8d10c74b1 100644
--- a/dev-python/readtime/readtime-3.0.0.ebuild
+++ b/dev-python/readtime/readtime-3.0.0.ebuild
@@ -20,7 +20,7 @@ SRC_URI="
LICENSE="BSD-2"
SLOT="0"
-KEYWORDS="amd64 ~arm ~arm64 ~ppc ~riscv ~x86"
+KEYWORDS="amd64 ~arm ~arm64 ~ppc ~riscv x86"
RDEPEND="
>=dev-python/beautifulsoup4-4.0.1[${PYTHON_USEDEP}]
diff --git a/dev-python/setuptools/Manifest b/dev-python/setuptools/Manifest
index 4973727e161c..5e6a2f52e5ac 100644
--- a/dev-python/setuptools/Manifest
+++ b/dev-python/setuptools/Manifest
@@ -1,2 +1,3 @@
DIST setuptools-68.0.0.tar.gz 2194111 BLAKE2B 614a1c69f640ce8d0e510c444e058fecd3810421983a03cd345e43e1148799bed7e5d53ac689a4fe3ce3174d16f2bb719236bd5442b5f06ffc7659d0f4c7d15f SHA512 da6d535a0db6eaf477c8c2148efbc2100fd88a14f3adad44d20e22bf52bee3f00fe86547ea650fe653519bd6ff5f9ef033a55bb3a05fed041e88e78cdfb81d7e
DIST setuptools-68.1.2.tar.gz 2198001 BLAKE2B bd21de32246eb7bd17289536a65e87636c39d8d7712dffa61b07b052fa7e9020fc06fe2de294a4e4782738c4385ff31e6552a6d3f403c3b1da98ea07405d57e8 SHA512 a5a84102ce72f38162b190b91286013cb8660b45f383df04fba65e38c658a5c5b93cdf05f789436618fa596b3ca6688a7c54d31d6d10b729124d3b135660c328
+DIST setuptools-68.2.1.tar.gz 2203059 BLAKE2B 2db15077041c908e476f115fb1d54abdc6ddef6c1f7b23f2149a0c61c23aa584ada51d73cf5d1ed7e3670cd18077fa1d0001b654e45d9c5882f993e2bf56ffb1 SHA512 f7083c3a38f3f9dc1ea3b87d398db7d483d5692e20f395aead40a310cd329c76243450b7d95b4a797ab1c6d2919cba4ac76fa73d2cb454d3c3b9f3209401611b
diff --git a/dev-python/setuptools/setuptools-68.2.1.ebuild b/dev-python/setuptools/setuptools-68.2.1.ebuild
new file mode 100644
index 000000000000..efa3073204a4
--- /dev/null
+++ b/dev-python/setuptools/setuptools-68.2.1.ebuild
@@ -0,0 +1,125 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+# please keep this ebuild at EAPI 8 -- sys-apps/portage dep
+EAPI=8
+
+# please bump dev-python/ensurepip-setuptools along with this package!
+
+DISTUTILS_USE_PEP517=standalone
+PYTHON_TESTED=( python3_{8,9,10,11} pypy3 )
+PYTHON_COMPAT=( "${PYTHON_TESTED[@]}" )
+PYTHON_REQ_USE="xml(+)"
+
+inherit distutils-r1 multiprocessing pypi
+
+DESCRIPTION="Collection of extensions to Distutils"
+HOMEPAGE="
+ https://github.com/pypa/setuptools/
+ https://pypi.org/project/setuptools/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~arm64-macos ~x64-macos ~x64-solaris"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+ >=dev-python/jaraco-text-3.7.0-r1[${PYTHON_USEDEP}]
+ >=dev-python/more-itertools-8.12.0-r1[${PYTHON_USEDEP}]
+ >=dev-python/nspektr-0.3.0[${PYTHON_USEDEP}]
+ >=dev-python/ordered-set-4.0.2-r1[${PYTHON_USEDEP}]
+ >=dev-python/packaging-21.3-r2[${PYTHON_USEDEP}]
+ >=dev-python/platformdirs-2.6.2-r1[${PYTHON_USEDEP}]
+ >=dev-python/tomli-2.0.1[${PYTHON_USEDEP}]
+ >=dev-python/wheel-0.37.1-r1[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ ${RDEPEND}
+ test? (
+ $(python_gen_cond_dep '
+ dev-python/build[${PYTHON_USEDEP}]
+ >=dev-python/ini2toml-0.9[${PYTHON_USEDEP}]
+ >=dev-python/filelock-3.4.0[${PYTHON_USEDEP}]
+ >=dev-python/jaraco-envs-2.2[${PYTHON_USEDEP}]
+ >=dev-python/jaraco-path-3.2.0[${PYTHON_USEDEP}]
+ dev-python/pip[${PYTHON_USEDEP}]
+ dev-python/pip-run[${PYTHON_USEDEP}]
+ dev-python/pytest[${PYTHON_USEDEP}]
+ dev-python/pytest-fixture-config[${PYTHON_USEDEP}]
+ dev-python/pytest-timeout[${PYTHON_USEDEP}]
+ dev-python/pytest-virtualenv[${PYTHON_USEDEP}]
+ dev-python/pytest-xdist[${PYTHON_USEDEP}]
+ >=dev-python/tomli-w-1.0.0[${PYTHON_USEDEP}]
+ >=dev-python/virtualenv-20[${PYTHON_USEDEP}]
+ ' "${PYTHON_TESTED[@]}")
+ )
+"
+# setuptools-scm is here because installing plugins apparently breaks stuff at
+# runtime, so let's pull it early. See bug #663324.
+PDEPEND="
+ >=dev-python/certifi-2016.9.26[${PYTHON_USEDEP}]
+ dev-python/setuptools-scm[${PYTHON_USEDEP}]
+"
+
+src_prepare() {
+ local PATCHES=(
+ # TODO: remove this when we're 100% PEP517 mode
+ "${FILESDIR}"/setuptools-62.4.0-py-compile.patch
+ )
+
+ distutils-r1_src_prepare
+
+ # remove bundled dependencies
+ rm -r */_vendor || die
+
+ # remove the ugly */extern hack that breaks on unvendored deps
+ rm -r */extern || die
+ find -name '*.py' -exec sed \
+ -e 's:from \w*[.]\+extern ::' -e 's:\w*[.]\+extern[.]::' \
+ -i {} + || die
+}
+
+python_test() {
+ if ! has "${EPYTHON}" "${PYTHON_TESTED[@]/_/.}"; then
+ return
+ fi
+
+ local EPYTEST_DESELECT=(
+ # network
+ # TODO: see if PRE_BUILT_SETUPTOOLS_* helps
+ setuptools/tests/config/test_apply_pyprojecttoml.py::test_apply_pyproject_equivalent_to_setupcfg
+ setuptools/tests/integration/test_pip_install_sdist.py::test_install_sdist
+ setuptools/tests/test_build_meta.py::test_legacy_editable_install
+ setuptools/tests/test_distutils_adoption.py
+ setuptools/tests/test_editable_install.py
+ setuptools/tests/test_setuptools.py::test_its_own_wheel_does_not_contain_tests
+ setuptools/tests/test_virtualenv.py::test_clean_env_install
+ setuptools/tests/test_virtualenv.py::test_no_missing_dependencies
+ setuptools/tests/test_virtualenv.py::test_test_command_install_requirements
+ # TODO
+ setuptools/tests/config/test_setupcfg.py::TestConfigurationReader::test_basic
+ setuptools/tests/config/test_setupcfg.py::TestConfigurationReader::test_ignore_errors
+ setuptools/tests/test_extern.py::test_distribution_picklable
+ # expects bundled deps in virtualenv
+ setuptools/tests/config/test_apply_pyprojecttoml.py::TestMeta::test_example_file_in_sdist
+ setuptools/tests/config/test_apply_pyprojecttoml.py::TestMeta::test_example_file_not_in_wheel
+ setuptools/tests/test_editable_install.py::test_editable_with_pyproject
+ # fails if python-xlib is installed
+ setuptools/tests/test_easy_install.py::TestSetupRequires::test_setup_requires_with_allow_hosts
+ # fails with importlib-metadata-6.6.0
+ setuptools/tests/test_egg_info.py::TestWriteEntries::test_invalid_entry_point
+ # TODO, probably some random package
+ setuptools/tests/config/test_setupcfg.py::TestOptions::test_cmdclass
+ )
+
+ if has_version "<dev-python/packaging-22"; then
+ EPYTEST_DESELECT+=(
+ # old packaging is more lenient
+ setuptools/tests/config/test_setupcfg.py::TestOptions::test_raises_accidental_env_marker_misconfig
+ )
+ fi
+
+ epytest -n "$(makeopts_jobs)" setuptools
+}
diff --git a/dev-python/zeroconf/Manifest b/dev-python/zeroconf/Manifest
index 5e969e5a938d..5b5068b7d8af 100644
--- a/dev-python/zeroconf/Manifest
+++ b/dev-python/zeroconf/Manifest
@@ -1,6 +1,7 @@
DIST zeroconf-0.102.0.tar.gz 152692 BLAKE2B c1a823b185cebe193d00c768ff4023a4ee11be662ae26c61b135acf7cf0c2d743e23f4b2a49f8914c483a66131e4200f115cb7f1d4b96e5c70f899dfa0fc2efb SHA512 877bf194c8aa4832e1ef36d9a1ce08611b5ae8a01dee697ab63d057eb56c9962fb423b6de82406016e67f81d37cb7b661371d84b78e6e91e93c22dc0944da59b
DIST zeroconf-0.103.0.tar.gz 152821 BLAKE2B 29c3813480f7cbf62d02067f672bcb4f27d1f5fa3c3abc5f9e7cceb7440d3d3cd0992d0c5b8a71194bd1dad1257c108cec3ab7d0fbd296e15970e25c905ef1f4 SHA512 3c58287ad53b61a533b279a0ecbf6d7b948dffc63a8eab2d2ea2908a8d895ae88de2ac73744991352f55e52bed745d0e6c0a6424066572ba33542c43d0765d4f
DIST zeroconf-0.105.0.tar.gz 154143 BLAKE2B c74d7213092a24b1f2bc9320424156b896d05e8ed9be48e2a1fba099267937f3e1c855b98ce5a1c48beae97777d455c18afed63248062c6eaa6729ca8225dc02 SHA512 e3fc68d01d6276ef087693ed72035b2ab26f50ddfbb3b5cf054e37c9198f1202e882fc23a58afbf11dd2032fefd5f2950227029df6408d5bddd6a8f456a1fc0b
+DIST zeroconf-0.108.0.tar.gz 154905 BLAKE2B c5ec272233faca801f30a0699a71a410f29d13565890ef25eb3ad164914fbe7a9f282c082cfe8fef3c47a72e92b5e1e33b6ccaefb96b30d3d2cb82dc624ec072 SHA512 a5206b548a8d32ac082e6aaff63437f488d5cac4200b24d2a8c9343e6bc859afb237d6e8003c569174c6c91ed2bba65044f37f730fb4d40664be70691d84d4ee
DIST zeroconf-0.82.1.tar.gz 147915 BLAKE2B 608d077e042f1b74f25f44b5b64350782944d0f4da96bb17a32bf9cbedfe5c1b751a8731a65c5cac86cc458425f2e38d0549317e7216c577567d0852a7a6c7ed SHA512 a02e9b1c6ce976de815f902f5607d6b0fecba4abc403234cbeeeef1abe450c3894e6c117bb554ba76c27250c748b36b862abb8ed059f0da8d31e5b10e5f1c2e1
DIST zeroconf-0.86.0.tar.gz 149030 BLAKE2B d2ea241bcd1416517d8ac9e98c205c956419bc4d33492f8044fe1819458166cd20acb83e56b0e05c69feb473b026a277bc739541195bc2df8ee0e0b748c10c94 SHA512 1b4260ff9498d0a6504960162bd1d75485e83e816c7cb063d71857c77edae40a580d841b8d65940cfd2fe47f0dfa3f6e96f5b907e9c7b626e7ae9bc365219dc8
DIST zeroconf-0.87.0.tar.gz 149844 BLAKE2B ef946a08b97493e536560178cc6516d86c8315b8db16d59867e7979d6f35a514f27d6cde401a7de5ec23b20f37f35ddde59ce6addd545d7640e3f15560859637 SHA512 cec7ea7e9bbac068b6ed6528a284de29c88ba0d4fc0ccf077b6520a4c0ea38964dc6971fdd34af3cf273dbcf1c9c34aac43d92e40217b0d192a58ff6610314e0
diff --git a/dev-python/zeroconf/zeroconf-0.108.0.ebuild b/dev-python/zeroconf/zeroconf-0.108.0.ebuild
new file mode 100644
index 000000000000..3df0828376ec
--- /dev/null
+++ b/dev-python/zeroconf/zeroconf-0.108.0.ebuild
@@ -0,0 +1,56 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=poetry
+PYTHON_COMPAT=( python3_{8,9,10,11} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Pure Python Multicast DNS Service Discovery Library (Bonjour/Avahi compatible)"
+HOMEPAGE="
+ https://github.com/python-zeroconf/python-zeroconf/
+ https://pypi.org/project/zeroconf/
+"
+
+LICENSE="LGPL-2.1"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86 ~amd64-linux ~x86-linux"
+
+RDEPEND="
+ >=dev-python/ifaddr-0.1.7[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ >=dev-python/async-timeout-3.0.0[${PYTHON_USEDEP}]
+ ' 3.10)
+"
+# the build system uses custom build script that uses distutils to build
+# C extensions, sigh
+BDEPEND="
+ >=dev-python/cython-3[${PYTHON_USEDEP}]
+ >=dev-python/setuptools-65.6.3[${PYTHON_USEDEP}]
+ test? (
+ dev-python/pytest-asyncio[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+export REQUIRE_CYTHON=1
+
+python_test() {
+ local -x SKIP_IPV6=1
+ local EPYTEST_DESELECT=(
+ # network
+ tests/test_core.py::Framework::test_close_multiple_times
+ tests/test_core.py::Framework::test_launch_and_close
+ tests/test_core.py::Framework::test_launch_and_close_context_manager
+
+ # fragile to timeouts (?)
+ tests/services/test_browser.py::test_service_browser_expire_callbacks
+ tests/utils/test_asyncio.py::test_run_coro_with_timeout
+ )
+
+ epytest -o addopts=
+}